
.namespace Credits_area

-- Ce script gère les boutons de la popup d'aide
function OnEnable()
end

function OnUpdate(dt)
end

function OnDisable()
end

function OnWbpMouseLUp()
	
		-- Bouton quitter des crédits
	if  self.Name == "Credits_popup_area" then
	
		-- Détruits les crédits
		Font_Arial22_Bold.Enabled = false
		OPUnitFactory.CloseUnit(textparent)
	
		-- Désactive les Crédits
		Credits_popup.Enabled = false
		Credits_parent.Enabled = false
		
		-- Active le menu principal
		Menu_StartGame_Parent.Enabled = true
	end
end

function OnMouseOn()

end

function OnMouseOff()
	return true
end
